package com.chinaitop.depot.intelligent.basicdata.model;

import java.util.Date;

public class TStation {
    private String id;

    private String orgId;

    private String sitename;

    private String sitecode;

    private String address;

    private String brand;

    private String model;

    private String signaltype;

    private String serviceip;

    private Integer serviceport;

    private Integer stringslogan;

    private String porterrate;

    private String databit;

    private String checkbit;

    private Integer islocal;

    private Integer isline;

    private Date updatetime;

    private String remark;

    private String vCfCode;

    private String vZdType;

    private Integer delFlag;

    /**
     * 32位唯一 站点数据
     * @return id 32位唯一 站点数据
     */
    public String getId() {
        return id;
    }

    /**
     * 32位唯一 站点数据
     * @param id 32位唯一 站点数据
     */
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    /**
     * 库房id
     * @return org_id 库房id
     */
    public String getOrgId() {
        return orgId;
    }

    /**
     * 库房id
     * @param orgId 库房id
     */
    public void setOrgId(String orgId) {
        this.orgId = orgId == null ? null : orgId.trim();
    }

    /**
     * 站点名
     * @return sitename 站点名
     */
    public String getSitename() {
        return sitename;
    }

    /**
     * 站点名
     * @param sitename 站点名
     */
    public void setSitename(String sitename) {
        this.sitename = sitename == null ? null : sitename.trim();
    }

    /**
     * 站点编号
     * @return sitecode 站点编号
     */
    public String getSitecode() {
        return sitecode;
    }

    /**
     * 站点编号
     * @param sitecode 站点编号
     */
    public void setSitecode(String sitecode) {
        this.sitecode = sitecode == null ? null : sitecode.trim();
    }

    /**
     * 分机地址
     * @return address 分机地址
     */
    public String getAddress() {
        return address;
    }

    /**
     * 分机地址
     * @param address 分机地址
     */
    public void setAddress(String address) {
        this.address = address == null ? null : address.trim();
    }

    /**
     * 品牌
     * @return brand 品牌
     */
    public String getBrand() {
        return brand;
    }

    /**
     * 品牌
     * @param brand 品牌
     */
    public void setBrand(String brand) {
        this.brand = brand == null ? null : brand.trim();
    }

    /**
     * 型号
     * @return model 型号
     */
    public String getModel() {
        return model;
    }

    /**
     * 型号
     * @param model 型号
     */
    public void setModel(String model) {
        this.model = model == null ? null : model.trim();
    }

    /**
     * 通讯类型 网络通讯、串口通讯、OPC通讯
     * @return signaltype 通讯类型 网络通讯、串口通讯、OPC通讯
     */
    public String getSignaltype() {
        return signaltype;
    }

    /**
     * 通讯类型 网络通讯、串口通讯、OPC通讯
     * @param signaltype 通讯类型 网络通讯、串口通讯、OPC通讯
     */
    public void setSignaltype(String signaltype) {
        this.signaltype = signaltype == null ? null : signaltype.trim();
    }

    /**
     * 服务地址
     * @return serviceip 服务地址
     */
    public String getServiceip() {
        return serviceip;
    }

    /**
     * 服务地址
     * @param serviceip 服务地址
     */
    public void setServiceip(String serviceip) {
        this.serviceip = serviceip == null ? null : serviceip.trim();
    }

    /**
     * 端口号
     * @return serviceport 端口号
     */
    public Integer getServiceport() {
        return serviceport;
    }

    /**
     * 端口号
     * @param serviceport 端口号
     */
    public void setServiceport(Integer serviceport) {
        this.serviceport = serviceport;
    }

    /**
     * 串口号
     * @return stringslogan 串口号
     */
    public Integer getStringslogan() {
        return stringslogan;
    }

    /**
     * 串口号
     * @param stringslogan 串口号
     */
    public void setStringslogan(Integer stringslogan) {
        this.stringslogan = stringslogan;
    }

    /**
     * 波特率
     * @return porterrate 波特率
     */
    public String getPorterrate() {
        return porterrate;
    }

    /**
     * 波特率
     * @param porterrate 波特率
     */
    public void setPorterrate(String porterrate) {
        this.porterrate = porterrate == null ? null : porterrate.trim();
    }

    /**
     * 数据位
     * @return databit 数据位
     */
    public String getDatabit() {
        return databit;
    }

    /**
     * 数据位
     * @param databit 数据位
     */
    public void setDatabit(String databit) {
        this.databit = databit == null ? null : databit.trim();
    }

    /**
     * 校验位
     * @return checkbit 校验位
     */
    public String getCheckbit() {
        return checkbit;
    }

    /**
     * 校验位
     * @param checkbit 校验位
     */
    public void setCheckbit(String checkbit) {
        this.checkbit = checkbit == null ? null : checkbit.trim();
    }

    /**
     * 本地/远程 0:本地；1：远程
     * @return islocal 本地/远程 0:本地；1：远程
     */
    public Integer getIslocal() {
        return islocal;
    }

    /**
     * 本地/远程 0:本地；1：远程
     * @param islocal 本地/远程 0:本地；1：远程
     */
    public void setIslocal(Integer islocal) {
        this.islocal = islocal;
    }

    /**
     * 是否在线 0:离线；1：在线
     * @return isline 是否在线 0:离线；1：在线
     */
    public Integer getIsline() {
        return isline;
    }

    /**
     * 是否在线 0:离线；1：在线
     * @param isline 是否在线 0:离线；1：在线
     */
    public void setIsline(Integer isline) {
        this.isline = isline;
    }

    /**
     * 更新时间
     * @return updatetime 更新时间
     */
    public Date getUpdatetime() {
        return updatetime;
    }

    /**
     * 更新时间
     * @param updatetime 更新时间
     */
    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }

    /**
     * 备注
     * @return remark 备注
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 备注
     * @param remark 备注
     */
    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    /**
     * 仓房编码
     * @return v_cf_code 仓房编码
     */
    public String getvCfCode() {
        return vCfCode;
    }

    /**
     * 仓房编码
     * @param vCfCode 仓房编码
     */
    public void setvCfCode(String vCfCode) {
        this.vCfCode = vCfCode == null ? null : vCfCode.trim();
    }

    /**
     * 站点类型
     * @return v_zd_type 站点类型
     */
    public String getvZdType() {
        return vZdType;
    }

    /**
     * 站点类型
     * @param vZdType 站点类型
     */
    public void setvZdType(String vZdType) {
        this.vZdType = vZdType == null ? null : vZdType.trim();
    }

    /**
     * 删除标志（0：删除，1：未删除）
     * @return del_flag 删除标志（0：删除，1：未删除）
     */
    public Integer getDelFlag() {
        return delFlag;
    }

    /**
     * 删除标志（0：删除，1：未删除）
     * @param delFlag 删除标志（0：删除，1：未删除）
     */
    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }
}